Skip to main content
PATCH
Update multiple Service Orders
Make sure you install our SDK first. You can find out how, and more here.

Authorizations

Authorization
string
header
required

Query Parameters

sort
string

sort by field

where
Where clause · object
required

pass a where query to constrain returned documents (complex type, see documentation)

Example:
limit
number

limit the returned documents to a certain number

page
number

get a specific page of documents

depth
number

number of levels to automatically populate relationships and uploads

locale
string

retrieves document(s) in a specific locale

fallback-locale
string

specifies a fallback locale if no locale value exists

Body

application/json
updatedAt
string
required
createdAt
string
required
name
string | null
type
enum<string>[] | null
Available options:
Condition Inspection,
Last Mile Delivery,
Long Haul Transport,
Mechanical Inspection,
Post Sale Inspection,
Pre-Paid Maintenance,
Pre-Purchase Inspection,
Safety Inspection,
Vehicle Service Contract,
Wash And Detail
customer
(number | Customer · object)[] | null
serviceQuotes
vin
status
enum<string> | null
Available options:
Quoted,
Pending,
In Review,
Active,
Dispatched,
En Route,
Complete,
Hold,
Cancel,
Error
error
string | null
orderId
string | null
price
string | null
rush
boolean | null
attachments
(number | Attachment · object)[] | null
quoteExpiration
string | null
ordered
string | null
start
string | null
due
string | null
consignor
billTo
origin
destination
deals
(number | Deal · object)[] | null
tenant
(number | Tenant · object)[] | null

Response

200 - application/json

ok

message
string
errors
string[]
docs
ServiceOrder · object[]